* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Roboto', sans-serif !important;
}

.custom-page-bg {
  background: white !important;
  height: 100vh !important;
}

.custom-navbar {
  background: white !important;
}

.custom-brand-logo {
  font-weight: 900 !important;
  font-size: 1.9rem !important;
  display: flex !important;
}

.custom-brand-r {
  font-weight: 900 !important;
  font-size: 1rem !important;
  margin-top: 5px !important;
}

.custom-navbar-links {
  font-size: 0.9rem !important;
  color: black !important;
  box-shadow: inset 0 0 0 0 black !important;
  transition: color .3s ease-in-out, box-shadow .3s ease-in-out !important;
}

.custom-navbar-links:hover {
  color: rgb(133, 133, 133) !important;
}

.custom-button {
  color: black !important;
  /* font-weight: 600 !important; */
  font-size: 0.9rem !important;
  transition: color .3s ease-in-out, box-shadow .3s ease-in-out !important;
}
.custom-button:hover {
  box-shadow: inset 100px 0 0 0 black !important;
  color: white !important;
}

/* Hero */
.custom-hero-bg {
  background-image: url('./images/img-banner.jpg') !important ;
  background-size: cover !important;
  height: 92.7vh !important;
}

.custom-hero-wrapper {
  display: flex !important;
  justify-content: space-between !important;
  height: 100% !important;
  /* border: 1px solid red; */
}

.custom-hero-banner {
  /* border: 1px solid green; */
  display: flex !important;
  flex-direction: column !important;
  align-items: flex-start !important;
  justify-content: center !important;

  width: 62% !important;
}

.custom-hero-banner > h2{
  font-size: 4.5rem !important;
  font-weight: 900 !important;
  margin-bottom: 30px !important;
  line-height: 75px !important;
}

.custom-hero-banner > p {
  font-size: 1.5rem !important;
  width: 90% !important;
  margin-bottom: 40px !important;
}

.custom-shop-now {
  text-decoration: none !important;
  color: white !important;
  background: black !important;
  padding: 1rem 2rem !important;
  cursor: pointer !important;
  transition: color .3s ease-in-out, box-shadow .3s ease-in-out !important;
}
.custom-shop-now:hover {
  box-shadow: inset 300px 0 0 0 rgb(255, 255, 255) !important;
  outline: 1px solid black;
  color: black !important;
}

.custom-hero-img {
  /* border: 1px solid red; */
  display: flex !important;
  flex-direction: column !important;
  align-items: center !important;
  justify-content: center !important;
  background: black !important;
  width: 40% !important;
  color: white !important;
}

/* Page Title */
.custom-page-title {
  font-size: 3rem !important;
  font-weight: 900 !important;
}

.custom-page-sub-title {
  font-size: 1.7rem;
  font-weight: 700;
}

/* Login */
.custom-login-bg {
  /* border: 1px solid red; */
  background-image: url('./images/img-login.jpg');
  background-size: cover;
  /* background: #f4f4f4 !important; */
  /* padding: 100px 0 !important; */
  height: 92.7vh !important;
}
.custom-register-bg {
  /* border: 1px solid red; */
  background-image: url('./images/img-register.jpg') !important;
  background-size: cover;
  /* background: #f4f4f4 !important; */
  /* padding: 100px 0 !important; */
  height: 92.7vh !important;
}

.custom-login-wrapper {
  display: flex !important;
  flex-direction: column;
  align-items: center !important;
  justify-content: center;
  height: 100%;
}

.custom-form {
  display: flex !important;
  flex-direction: column !important;
  background: white !important;
  padding: 90px 75px !important;
  width: 40%;
}

.custom-input {
  border-radius: 0 !important;
}
.custom-input:focus {
  outline: 1px solid black !important;
  box-shadow: none !important;
}
.custom-button-primary {
  background: black !important;
  padding: 10px 0 !important;
  color: white !important;
  border: 1px solid black !important;
  outline: none;

  transition: color .3s ease-in-out, box-shadow .3s ease-in-out !important;
}

.custom-button-primary:hover {
  box-shadow: inset 400px 0 0 0 rgb(255, 255, 255) !important;
  color: black !important;
}

.custom-button-disabled {
  background: rgb(214, 214, 214) !important;
  padding: 10px 0 !important;
  color: white !important;
  border: none;
  border: 1px solid rgb(214, 214, 214) !important;

  /* outline: none; */
}

.custom-register-here {
  text-decoration: none;
  color: black;
}
.custom-register-here:hover {
  color: black;
}

/* Profile */
/* .custom-bg-gray {
  background-color: ;
} */
.custom-account-wrapper {
  height: 100%;
  /* background-color: white; */

  display: flex;
  flex-direction: column;

}

.custom-account-section {
  display: flex;
  justify-content: space-between;
}

.custom-account-details {
  font-size: 1.2rem;
  font-weight: 400;
  margin: -3px 0;
}

.custom-line {
  width: 100%;
  height: 1px;
  background: black;
}


.custom-order-wrapper {
  min-width: 72%;
  /* border: 1px solid red; */
}

.custom-products-section {
  display: flex;
  justify-content: flex;
  /* background: yellow; */
}

.custom-products-wrapper {
  display: flex;
  /* flex-direction: row; */
  flex-wrap: wrap;
  /* border: 1px solid red; */
  gap: 20px;
}

.custom-card {
  max-width: 19.2rem;
  text-decoration: none;
  color: black;
}
.custom-card:hover {
  border: 1px solid rgb(126, 126, 126);
}

.custom-product-link {
  font-weight: 700;
  font-size: 1.3rem;
  color:black;
  text-decoration: none;
}
.custom-product-link:hover {
  color: black;
}

.custom-product-view-wrapper {
  /* background: red; */
  height: 100%;
}

.custom-single-product {
  /* border: 1px solid red; */
  height: 80%;
  display: flex;
  flex-direction: row wrap;
  justify-content: space-between;

  background: white;
}

.custom-section-picture > img {
  object-fit: cover;
  height: 100%;
}
.custom-section-text {
  width: 100%;
  padding: 4rem 7rem;
  /* border: 1px solid red; */

  display: flex;
  flex-direction: column;

}
.custom-section-header {
  font-weight: 900;
  font-size: 6.8vh;
}

.custom-section-p {
  font-size: 1.7vh;
}

.custom-section-small {
  font-size: 1.6vh;
}

.custom-product-price {
  font-size: 4.2vh;
  font-weight: 700;
}

.custom-add-to-cart {
  width: 300px;
  border-radius: 0;;
}

.custom-product-bg {
  background-image: url('./images/img-single-prod.jpg') !important ;
  background-size: cover !important;
  height: 92.7vh !important;
}

.custom-bg-white {
  background-color: #f4f4f4;
  min-height: 92.7vh;
}

.custom-cart-total {
  font-size: 3vh;
  font-weight: 700;
  
}

.custom-button-part {
  display: flex;
  flex-direction: column;
  /* border: 1px solid red; */
}
.custom-button-group {
  display: flex;
  gap: 10px;
  /* border: 1px solid red; */
}

.custom-continue-shop {
  background: white !important;
  color: black !important;
  transition: color .3s ease-in-out, box-shadow .3s ease-in-out !important;
}

.custom-continue-shop:hover {
  box-shadow: inset 400px 0 0 0 rgb(0, 0, 0) !important;
  color: rgb(255, 255, 255) !important;
}

.custom-admin-panel-hero {
  background-image: url('./images/img-admin-panel.jpg') !important ;
  background-size: cover !important;
  height: 92.7vh !important;
}

.custom-badge {
  font-size: 1.2vh;
  margin-left: 20px;
  border-radius: 0;
}

.custom-title-section {
  /* border: 1px solid red; */
  display: flex;
  justify-content: space-between;
}

.custom-add-button {
  width: 200px;
  height: 50px;
}

.custom-modal-add-body {
  padding: 2.5rem 5rem;
  display: flex;
  justify-content: space-between;

  background-image: url('./images/img-single-prod.jpg');
  background-size: cover !important;
}

.custom-modal-prod-view {
  width: 70%;
  display: flex;
  justify-content: space-between;
}

.custom-modal-form {
  width: 30%;
  padding: 3.2rem;
}

.picture-section {
  background:rgb(133, 133, 133);
  min-width: 43.4%;
}

.picture-section > img {
  object-fit: cover;
  height: 100%;
}

.custom-modal-form {
  padding: 3.2rem 4rem;
}

.custom-button-add-prod {
  width: 100%;
  background: black !important;
  padding: 10px 0 !important;
  color: white !important;
  border: 1px solid black !important;
  outline: none;

  transition: color .3s ease-in-out, box-shadow .3s ease-in-out !important;
}

.custom-button-add-prod-disabled {
  width: 100%;
  background: rgb(214, 214, 214) !important;
  padding: 10px 0 !important;
  color: white !important;
  outline: none;
  border: 1px solid rgb(214, 214, 214) !important;
  
}

.custom-button-add-prod:hover {
  box-shadow: inset 400px 0 0 0 rgb(255, 255, 255) !important;
  color: black !important;
}

.bg-white {
  background: white;
}

.custom-archive-button:hover {
  background: red !important;
}


.custom-archive-primary {
  padding: 10px 0 !important;
  border: 1px solid #dc3545 !important;
  outline: none;
  color: #dc3545 !important;

  transition: color .3s ease-in-out, box-shadow .3s ease-in-out !important;
}

.custom-archive-primary:hover {
  box-shadow: inset 400px 0 0 0 #dc3545 !important;
  color: white !important;
  border-color: #dc3545;

}

.custom-enable-primary {
  padding: 10px 0 !important;
  border: 1px solid #198754 !important;
  outline: none;
  color: #198754 !important;

  transition: color .3s ease-in-out, box-shadow .3s ease-in-out !important;
}

.custom-enable-primary:hover {
  box-shadow: inset 400px 0 0 0 #198754 !important;
  color: white !important;
  border-color: rgb(240, 25, 25);

}

.disable {
  background: rgb(214, 214, 214) !important;
  padding: 10px 0 !important;
  color: white !important;
  border: none;
  border: 1px solid rgb(214, 214, 214) !important;
}
.custom-deliver-button {
  width: 80%;
}


.deliver-success {
  background: rgb(231, 245, 234)
}

.custom-deliver-disabled {
  background: rgb(214, 214, 214) !important;
  color: rgb(0, 0, 0) !important;
  border: none;
  border: 1px solid rgb(214, 214, 214) !important;
  width: 80%;

  /* outline: none; */
}


.custom-middle {
  height: 50vh;
  background: white;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.quote {
  font-weight: 900;
  font-size: 50px;
}

.custom-footer {
  height: 40px;
  background: black;
  color:white;
  font-size: 12px;

  display: flex;
  align-items: center;
  justify-content: center;

  font-weight: 700;
}